Bug 169462 - mail/simscan: configure failure with HEADERS when clamav DB is not already downloaded
Summary: mail/simscan: configure failure with HEADERS when clamav DB is not already do...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-26 20:30 UTC by Bryan Drewery
Modified: 2012-09-06 23:50 UTC (History)
0 users

See Also:


Attachments
patch-simscan-clamav-headers.txt (2.08 KB, patch)
2012-06-26 20:30 UTC, Bryan Drewery
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery 2012-06-26 20:30:20 UTC
	mail/simscan does not build with HEADERS if clamav is either not already installed or its DB has not been downloaded yet.
	This was also reported at http://lists.freebsd.org/pipermail/freebsd-ports-bugs/2007-May/120044.html

Fix: The fix makes the default fall back on /var/db/clamav/daily.cld instead of failing.
How-To-Repeat: 	Uninstall clamav, rm -f /var/db/clamav/*

	/usr/ports/mail/simscan# find /var/db/clamav/
	/var/db/clamav/
	/usr/ports/mail/simscan# make showconfig
	===> The following configuration options are available for simscan-1.4.0_6:
	     CLAMAV=on: Support for ClamAV Virus Scanning
	     RIPMIME=on: Ripmime Processing (if Clamav ScanMail disabled)
	     SPAMD=off: Support for SpamAssassin Spam Filtering
	     USER=off: Turn On Per User SpamAssassin (required SPAMD)
	     DOMAIN=off: Turn On Per Domain Based Checking
	     ATTACH=on: Turn On Attachment Scanning (required CLAMAV)
	     DROPMSG=off: Drop Message in Case of Virus Found
	     PASSTHRU=off: Pass Spam Thru, Do Not Reject (required SPAMD)
	     HEADERS=on: Add a Received Line With Versions of Scanners
	     DSPAM=off: Turn on DSPAM scanning
	/usr/ports/mail/simscan# make configure
	===>  License check disabled, port has not defined LICENSE
	===>  Found saved configuration for simscan-1.4.0_6
	<..snip..>
	checking whether we can locate the clamav db path... no
	configure: error: Unable to find your clamav databases, specify --enable-clamavdb-path.
	===>  Script "configure" failed unexpectedly.
Comment 1 Edwin Groothuis freebsd_committer 2012-06-26 20:30:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-09-06 23:47:14 UTC
Author: lippe
Date: Thu Sep  6 22:46:59 2012
New Revision: 303795
URL: http://svn.freebsd.org/changeset/ports/303795

Log:
  Fix configure script when clamav DB is not already downloaded.
  
  PR:		ports/169462
  Submitted by:	"Bryan Drewery" <bryan@shatow.net>

Modified:
  head/mail/simscan/files/patch-fix_clamav_0.93

Modified: head/mail/simscan/files/patch-fix_clamav_0.93
==============================================================================
--- head/mail/simscan/files/patch-fix_clamav_0.93	Thu Sep  6 21:58:21 2012	(r303794)
+++ head/mail/simscan/files/patch-fix_clamav_0.93	Thu Sep  6 22:46:59 2012	(r303795)
@@ -1,23 +1,36 @@
---- configure	2007-10-29 10:14:25.000000000 -0400
-+++ configure	2008-05-02 15:31:51.000000000 -0400
-@@ -4686,6 +4686,14 @@
-           then
-             clamavdb=$f
-             break
-+          elif test -f "$f/daily.cld"
+--- ./configure.orig	2007-10-29 09:14:25.000000000 -0500
++++ ./configure	2012-06-26 14:20:22.000000000 -0500
+@@ -4682,13 +4682,26 @@
+         clamavdb=""
+         for f in "$CLAMAV_DB" /usr/local/share/clamav /var/lib/clamav
+         do
+-          if test -f "$f/daily.cvd"
++          if test -f "$f/daily.cvd" || test -d "$f/daily.inc"
 +          then
 +            clamavdb=$f
 +            break
-+          elif test -f "$f/daily.inc/daily.info"
++          elif test -f "$f/daily.cld"
 +          then
 +            clamavdb=$f
 +            break
++          elif test -f "$f/daily.inc/daily.info"
+           then
+             clamavdb=$f
+             break
            fi
          done
  
---- configure.in	2007-10-29 10:13:40.000000000 -0400
-+++ configure.in	2008-05-02 15:31:32.000000000 -0400
-@@ -622,6 +622,14 @@
++	# Default to $f/daily.cld
++	if test "$clamavdb" = ""; then
++		clamavdb="$f/daily.cld"
++	fi
++
+         if test "$clamavdb" = ""
+         then
+           echo "$as_me:$LINENO: result: no" >&5
+--- ./configure.in.orig	2007-10-29 09:13:40.000000000 -0500
++++ ./configure.in	2012-06-26 14:20:02.000000000 -0500
+@@ -622,9 +622,22 @@
            then
              clamavdb=$f
              break
@@ -32,6 +45,14 @@
            fi
          done
  
++	# Default to $f/daily.cld
++	if test "$clamavdb" = ""; then
++		clamavdb="$f/daily.cld"
++	fi
++
+         if test "$clamavdb" = ""
+         then
+           AC_MSG_RESULT(no)
 --- simscanmk.c	2006-10-10 19:15:17.000000000 -0400
 +++ simscanmk.c	2008-07-07 14:21:46.000000000 -0400
 @@ -123,6 +123,7 @@
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Felippe de Meirelles Motta freebsd_committer 2012-09-06 23:47:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!